Package org.eclipse.jgit.revwalk.filter

## Class CommitTimeRevFilter

- java.lang.Object
- - org.eclipse.jgit.revwalk.filter.RevFilter
  - - org.eclipse.jgit.revwalk.filter.CommitTimeRevFilter

    public abstract class CommitTimeRevFilter
    extends RevFilter

Selects commits based upon the commit time field.

### Field Summary

### Fields inherited from class org.eclipse.jgit.revwalk.filter.RevFilter

`ALL, MERGE_BASE, NO_MERGES, NONE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static RevFilter` `after​(long ts)` Create a new filter to select commits after a given date/time.
`static RevFilter` `after​(Date ts)` Create a new filter to select commits after a given date/time.
`static RevFilter` `before​(long ts)` Create a new filter to select commits before a given date/time.
`static RevFilter` `before​(Date ts)` Create a new filter to select commits before a given date/time.
`static RevFilter` `between​(long since, long until)` Create a new filter to select commits after or equal a given date/time `since` and before or equal a given date/time `until`.
`static RevFilter` `between​(Date since, Date until)` Create a new filter to select commits after or equal a given date/time `since` and before or equal a given date/time `until`.
`RevFilter` `clone()` Clone this revision filter, including its parameters.
`boolean` `requiresCommitBody()`

### Methods inherited from class org.eclipse.jgit.revwalk.filter.RevFilter

`include, negate, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### before

    public static final RevFilter before​(Date ts)

Create a new filter to select commits before a given date/time.

Parameters:
  `ts` - the point in time to cut on.
Returns:
  a new filter to select commits on or before `ts`.

#### before

    public static final RevFilter before​(long ts)

Create a new filter to select commits before a given date/time.

Parameters:
  `ts` - the point in time to cut on, in milliseconds
Returns:
  a new filter to select commits on or before `ts`.

#### after

    public static final RevFilter after​(Date ts)

Create a new filter to select commits after a given date/time.

Parameters:
  `ts` - the point in time to cut on.
Returns:
  a new filter to select commits on or after `ts`.

#### after

    public static final RevFilter after​(long ts)

Create a new filter to select commits after a given date/time.

Parameters:
  `ts` - the point in time to cut on, in milliseconds.
Returns:
  a new filter to select commits on or after `ts`.

#### between

    public static final RevFilter between​(Date since,
                                          Date until)

Create a new filter to select commits after or equal a given date/time `since` and before or equal a given date/time `until`.

Parameters:
  `since` - the point in time to cut on.
  `until` - the point in time to cut off.
Returns:
  a new filter to select commits between the given date/times.

#### between

    public static final RevFilter between​(long since,
                                          long until)

Create a new filter to select commits after or equal a given date/time `since` and before or equal a given date/time `until`.

Parameters:
  `since` - the point in time to cut on, in milliseconds.
  `until` - the point in time to cut off, in millisconds.
Returns:
  a new filter to select commits between the given date/times.

#### clone

    public RevFilter clone()

Description copied from class: `RevFilter`
Clone this revision filter, including its parameters.

This is a deep clone. If this filter embeds objects or other filters it must also clone those, to ensure the instances do not share mutable data.

Specified by:
  `clone` in class `RevFilter`
Returns:
  another copy of this filter, suitable for another thread.

#### requiresCommitBody

    public boolean requiresCommitBody()

Overrides:
  `requiresCommitBody` in class `RevFilter`
Returns:
  true if the filter needs the commit body to be parsed.